Gets the exception code

- « Throwable::getMessage

- Throwable::getFile »

- PHP Manual
- Throwable
- Gets the exception code

# Throwable::getCode

(PHP 7, PHP 8)

Throwable::getCode — Gets the exception code

### Description

public Throwable::getCode(): int

Returns the error code associated with the thrown object.

### Parameters

This function has no parameters.

### Return Values

Returns the exception code as int in Exception but possibly as other type in Exception descendants (for example as string in PDOException).

### See Also

- Exception::getCode() - Gets the Exception code